MeiroDocs

Segments' Tags

Required feature (one of):

Section: Group Segments' Tags. Base URL: https://instance_name.meiro.io/api/.

Segment's tags [/segments/{segment_id}/tags{?limit,offset,order_by,order_dir,load_full_structure}]

List All Segment's Tags [GET]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/view

  • foreign_segments/edit

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "segment_tags": [
        {
            "id": 100,
            "user_id": 200,
            "segment_id": 300,
            "tag_id": 400,
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Assign a Tag to the Segment [POST]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/edit

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • tag_id: 400 (number)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "segment_tag": {
        "id": 100,
        "user_id": 200,
        "segment_id": 300,
        "tag_id": 400,
        "created": "2017-01-01 15:35:00"
    }
}

Segment's tag [/segments/{segment_id}/tags/{tag_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Delete a Segment's tag [DELETE]

Required feature (one of):

  • Segment ACL authorization

  • foreign_segments/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

On this page